/*
  Simple example for receiving
  
  http://code.google.com/p/rc-switch/
  
  Need help? http://forum.ardumote.com
*/

#include <RCSwitch.h>

RCSwitch mySwitch = RCSwitch();

void setup() {
  Serial.begin(57600);
  mySwitch.enableReceive(0);  // Receiver on inerrupt 0 => that is pin #2
  mySwitch.setPulseLength(250);
  Serial.println("                    433 Mhz Fernsteuerungscode Empfaenger V1");
  Serial.println("Warte auf Code.");
}

void loop() {
  if (mySwitch.available()) {
    
    int value = mySwitch.getReceivedValue();
    
    if (value == 0) {
      Serial.println("Unbekannter Code:");
    } else {
      Serial.println("A-------");
      Serial.print("Empfange ");
      Serial.println( mySwitch.getReceivedValue() );
      Serial.print("Bitlaenge: ");
      Serial.println( mySwitch.getReceivedBitlength() );
      Serial.print("Protokoll: ");
      Serial.println( mySwitch.getReceivedProtocol() );
      Serial.print("Tri-Stat: ");
      Serial.println( mySwitch.getReceivedDelay() );
      Serial.println("E--------");
    }

    mySwitch.resetAvailable();
  }
}

